de.vc.io

## Class TemporaryStorage

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - de.vc.io.TemporaryStorage

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class TemporaryStorage
      extends java.io.FilterOutputStream

  A temporary storage stores a file for a short time. You can choose between memory or disc storing (Temp files).

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporaryStorage()`
    `TemporaryStorage(int memoryBufferSize)`
    `TemporaryStorage(java.lang.String directory, int memoryBufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkBuffer(int reqSize)`
    `void` | `dispose()`
    `java.io.InputStream` | `inputStream()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporaryStorage

          public TemporaryStorage()

    - #### TemporaryStorage

          public TemporaryStorage(int memoryBufferSize)

    - #### TemporaryStorage

          public TemporaryStorage(java.lang.String directory,
                          int memoryBufferSize)

  - ### Method Detail

    - #### inputStream

          public java.io.InputStream inputStream()
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dispose

          public void dispose()

    - #### write

          public void write(byte[] b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### checkBuffer

          protected void checkBuffer(int reqSize)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.